using System.Drawing;
using Decal.Adapter.Support;

namespace Decal.Adapter.Wrappers;

public class ListColumn
{
	private ListWrapper myList;

	private int rowIndex;

	private int colIndex;

	public object this[int subVal]
	{
		get
		{
			return myList.get_Data(rowIndex, colIndex, subVal);
		}
		set
		{
			myList.set_Data(rowIndex, colIndex, subVal, ref value);
		}
	}

	public Color Color
	{
		get
		{
			return Util.ColorFromBGR(myList.get_Color(rowIndex, colIndex));
		}
		set
		{
			myList.set_Color(rowIndex, colIndex, Util.ColorToBGR(value));
		}
	}

	public int Width
	{
		get
		{
			return myList.get_ColWidth(colIndex);
		}
		set
		{
			myList.set_ColWidth(colIndex, value);
		}
	}

	internal ListColumn(ListWrapper list, int row, int col)
	{
		myList = list;
		rowIndex = row;
		colIndex = col;
	}
}
